Skip to main content
`Ctrl`+`K`

# DMPlexRestoreJoin

Restore an array for the join of the set of points obtained with `DMPlexGetJoin()`

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexRestoreJoin(DM dm, PetscInt numPoints, const PetscInt points[], PetscInt *numCoveredPoints, const PetscInt *coveredPoints[])

Not Collective

## Input Parameters

- dm - The `DMPLEX` object

- numPoints - The number of input points for the join

- points - The input points

## Output Parameters

- numCoveredPoints - The number of points in the join

- coveredPoints - The points in the join

## Fortran Notes

The `numCoveredPoints` argument is not present in the Fortran binding since it is internal to the array.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetJoin()`, `DMPlexGetFullJoin()`, `DMPlexGetMeet()`

## Level

intermediate

## Location

src/dm/impls/plex/plex.c

## Examples

src/ts/tutorials/ex11.c
src/ts/tutorials/ex11_sa.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages